package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_ACTION_MODULE_GROUP")
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("组件集")
public class AndonActionModuleGroup extends BaseBean implements Serializable {

    private static final long serialVersionUID = -8905502301880084578L;

    @Column(name = "AMG_ID")
    @ApiParam("组件集编号")
    private Long amgId;

    @Column(name = "AM_CODE")
    @ApiParam("组件代码")
    private String amCode;

    @Column(name = "SEQ")
    @ApiParam("执行顺序")
    private Integer seq;
}
