package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :流水号，补充生产订单和采购订单时自动生成编码
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_SERIAL_NUMBER")
@Api("流水号")
@ExcludeImportExport
public class SerialNumber extends BaseAPS {

    private static final long serialVersionUID = 312483211086701109L;
    @Column(name="NUMBER")
    @ApiParam(value ="流水号")
    private Integer number;
}
