package cn.estsh.i3plus.pojo.ics.bean;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-04-09 18:02
 * @Modify:
 **/
@Data
@ApiModel("实例信息")
public class IcsInstance implements Serializable {

    private static final long serialVersionUID = 2648298051066693374L;
    @ApiModelProperty("实例id")
    private String instanceId;

    @ApiModelProperty("实例状态url")
    private String instanceStatusUrl;

    @ApiModelProperty("实例状态")
    private Integer instanceStatus;

    @ApiModelProperty("状态时间戳")
    private Long statusTimeStamp;

    @ApiModelProperty("状态时间")
    private String statusTimeStampStr;

    public String getInstanceStatusTxt() {
        return instanceStatus == null ? "无" : CommonEnumUtil.CLOUD_APP_STATUS.valueOfDescription(instanceStatus);
    }
}
