package cn.estsh.i3plus.pojo.ics.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :实例堆非内存
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-04-10 16:57
 * @Modify:
 **/
@Data
@ApiModel("实例堆非内存")
public class IcsInstanceMemoryNonHeap implements Serializable {

    private static final long serialVersionUID = 5457399972284816473L;
    @ApiModelProperty("非堆内存元空间")
    private double nonHeapMemoryMetaspace;

    @ApiModelProperty("非堆内存使用")
    private double nonHeapMemoryUsed;

    @ApiModelProperty("非堆内存大小")
    private double nonHeapMemorySize;

    @ApiModelProperty("非堆内存最大")
    private double nonHeapMemoryMax;

}
