package cn.estsh.i3plus.pojo.ics.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 实例线程信息
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-04-10 16:57
 * @Modify:
 **/
@Data
@ApiModel("实例线程信息")
public class IcsInstanceThread implements Serializable {

    private static final long serialVersionUID = -272358532317411617L;
    @ApiModelProperty("实时线程")
    private double threadLive;

    @ApiModelProperty("守护线程")
    private double threadDaemon;

    @ApiModelProperty("线程峰值")
    private double threadPeakLive;

}
