package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesDefect;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

@Data
public class AssembleDefectModel {

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("抛光层级model")
    private AssembleDefectModel polishingModel;

    @ApiParam("拆解层级model")
    private AssembleDefectModel disassembleModel;

    @ApiParam("不良类型集合")
    private List<AssembleDefectModel> defectModelList;

    @ApiParam("类型代码")
    private String typeCode;

    @ApiParam("类型名称")
    private String typeName;

    @ApiParam("不良集合")
    private List<MesDefect> defectList;

}
