package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ButtonBean implements Serializable {
    private static final long serialVersionUID = -4012120630477190414L;

    @ApiParam(value = "按钮代码")
    private String buttonCode;

    @ApiParam(value = "按钮名称")
    private String buttonName;

    // 执行类方法,sql,或者标记
    @ApiParam(value = "执行内容")
    private String methodContent;

    @ApiParam(value = "按钮描述")
    private String buttonDesc;
}
