package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : zcg
 * @Date : 2020/3/25 0025 - 19:41
 */
@Data
@Api("按钮组件传输响应Model")
public class ButtonComponentResultModel {

    @ApiParam("成功信号")
    private boolean isSuccess;

    @ApiParam("是否跳过工序")
    private boolean isJumpProcess;

    @ApiParam("提示信息")
    private String msg;

    @ApiParam("动态按钮组")
    private List<ButtonModel> buttonModels;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("产品条码信息")
    private MesProduceSn produceSn;

    @ApiParam("主队列编号")
    private String orderNo;

}
