package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description : 按钮model
 * @Reference :
 * @Author : zcg
 * @Date : 2020/3/25 0025 - 5:02
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("按钮组件")
public class ButtonModel {
    @ApiParam("组件代码")
    private String moduleCode;

    @ApiParam("组件名称")
    private String moduleName;

    @ApiParam("界面回调方法")
    private String windowModuleBack;
}
