package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("数据复核model")
public class DataReviewModel {

    @ApiParam("关键件")
    private String itemPartNo;

    @ApiParam("需要数量")
    private String needNum;

    @ApiParam("实际数量")
    private String realNum;

    @ApiParam("限定次数")
    private String limitTimes;

    @ApiParam("检测次数")
    private String checkTimes;

    @ApiParam("对象代码")
    private String objectCode;

    @ApiParam("末检是否合格")
    private String lastDataResult;

    @ApiParam("是否合格标识")
    private Integer reviewFlag;

    @ApiParam("是否合格")
    private String reviewResult;

    @ApiParam("显示标识")
    private Integer showFlag;

    @ApiParam("颜色")
    private String color;

}
