package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2020/6/23 14:51
 * @desc
 */
@Data
public class EdiRequestModel implements Serializable {
    private static final long serialVersionUID = 7203497485903427292L;

    private String organizeCode;

    private String sourcePath;

    private String fileName;

    private String fileUrl;

    private String content;

    private Integer ediType;

    private String ediCode;

    private String host;

    private String config;

    private String programCode;

    private String messageType;

    private Integer syncStatus = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();
}
