package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wangjie
 * @date 2020/4/9 18:00
 * @desc TJ注塑上料展示组件顶部数据model
 */
@Data
public class InjectionFeedingModel {

    @ApiParam("料箱")
    private String rackNo;

    @ApiParam("原材料物料号")
    private String partNo;

    @ApiParam("原材料物料名称")
    private String partName;

    @ApiParam("是否锁定：1=是，2=否")
    private Integer lockFlag;

    @ApiParam("机台工单集合")
    private List<InjectionFeedingDetailModel> detailModelList = new ArrayList<>();

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("组织代码")
    private String organizeCode;

}
