package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("注塑生产控制MODEL")
public class InjectionProductionControlModel {

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("当前合格数量")
    private String standardQtyCur;

    @ApiParam("总完成数量")
    private String completeQty;

    @ApiParam("总不合格数量")
    private String scrapQty;

    @ApiParam("已打包数量")
    private String packageQty;

    @ApiParam("未打包数量")
    private String unPackageQty;

    @ApiParam("包装编号")
    private String packageNo;

    @ApiParam("数量")
    private String qty;

    @ApiParam("包装时间")
    private String createDatetime;

    @ApiParam("箱条码状态")
    private String printStatusName;

    @ApiParam("缺陷代码")
    private String defectCode;

    @ApiParam("缺陷名称")
    private String defectName;

    @ApiParam("序号")
    private Integer index;

}
