package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/12/15 5:34 PM
 * @Modify:
 */
@Data
public class MaterialLotModel implements Serializable {

    private static final long serialVersionUID = -3438339005176732840L;
    private Long id;
    @ApiParam("条码")
    private String sn;

    private String modifyDateTime;

    @ApiParam("生产日期")
    private String dateCode;

    @ApiParam("批次")
    private String lotNo;

    @ApiParam("特殊批次")
    private String fixLotNo;

    @ApiParam("生产批次")
    private String leftCode;

    @ApiParam("物料代码")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("数量")
    private String qty;

    @ApiParam("源仓库代码")
    private String srcWhNo;

    @ApiParam("源存储区代码")
    private String srcZoneNo;

    @ApiParam("源库位代码")
    private String srcLocateNo;

}
