package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description:
 * @CreateDate: 2020/9/24
 * @Author: simon.song
 */
@Data
public class MesProductDataDefectModel {

    @ApiParam("生产工单")
    private String orderNo;

    @ApiParam("产品编码")
    private String partNo;

    @ApiParam("产品名称")
    private String partDesc;

    @ApiParam("产品条码")
    private String productSn;

    @ApiParam("缺陷类型")
    private String defectType;

    @ApiParam("缺陷原因")
    private String defectDesc;

    @ApiParam("下线时间")
    private String offlineTime;

    public MesProductDataDefectModel(String orderNo, String partNo, String partDesc, String productSn, String defectType, String defectDesc, String offlineTime) {
        this.orderNo = orderNo;
        this.partNo = partNo;
        this.partDesc = partDesc;
        this.productSn = productSn;
        this.defectType = defectType;
        this.defectDesc = defectDesc;
        this.offlineTime = offlineTime;
    }

    public MesProductDataDefectModel(String orderNo, String partNo, String partDesc, String productSn, String defectDesc, String offlineTime) {
        this.orderNo = orderNo;
        this.partNo = partNo;
        this.partDesc = partDesc;
        this.productSn = productSn;
        this.defectDesc = defectDesc;
        this.offlineTime = offlineTime;
    }
}
