package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description:
 * @CreateDate: 2020/9/22
 * @Author: simon.song
 */
@Data
public class MesProductDataModel {
    @ApiParam("生产数据表主键ID")
    private String id;

    @ApiParam("工位代码")
    private String workCellCode;

    @ApiParam("工位名称")
    private String workCellName;

    @ApiParam("产品包装model")
    private List<ProductDataModel> productDataModelList;

}
