package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
public class MgnBoardAssembleCompRateModel {

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("合格率目标值")
    private String qualifiedRateTargetValue;

    @ApiParam("完成率")
    private String planCompleteRate;

    @ApiParam("合格率偏差值")
    private String fpyDeviationValue;

    @ApiParam("日期")
    private String date;

    @ApiParam("目标OEE")
    private String planOee;

    @ApiParam("实际OEE")
    private String finaOee;

    @ApiParam("OEE红线值")
    private String oeeRedLineValue;

    @ApiParam("缺陷名称")
    private String defectName;

    @ApiParam("缺陷占比")
    private String defectProportion;

    @ApiParam("一次目标良品值")
    private Double planFirstPassYield;

    @ApiParam("最终目标良品值")
    private Double planPassYield;

    @ApiParam("一次良品率")
    private String firstQualifiedRate;

    @ApiParam("最终良品率")
    private String finalQualifiedRate;

    @ApiParam("不良描述")
    private String defectMemo;

}
