package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2020/8/26 14:46
 * @desc
 */
@Data
public class NormalDistributionModel {

    @ApiParam("尺寸上限")
    private Double usl;

    @ApiParam("尺寸下限")
    private Double lsl;

    @ApiParam("柱状图")
    private List<Integer> bar = new ArrayList<>();

    @ApiParam("曲线图")
    private List<Double> line = new ArrayList<>();

    @ApiParam("平均均值-绿线")
    private List<Double> xAxis = new ArrayList<>();

    @ApiParam("数据个数")
    private Integer totalCount;

    @ApiParam("数据总数")
    private Double totalDataSum;

    @ApiParam("平均均值")
    private Double xbarbar;

    @ApiParam("平均极差")
    private Double rbar;

    @ApiParam("最大值")
    private Double maxValue;

    @ApiParam("最小值")
    private Double minValue;

    @ApiParam("低于下限数据个数")
    private Integer belowLowerLimitCount;

    @ApiParam("高于上限数据个数")
    private Integer aboveUpperLimitCount;

    @ApiParam("d2")
    private Double d2;

    @ApiParam("n")
    private Integer n;

    @ApiParam("高能力指数")
    private Double cpu;

    @ApiParam("低能力指数")
    private Double cpl;

    @ApiParam("过程能力指数")
    private Double cp;

    @ApiParam("过程能力")
    private Double cpk;

    @ApiParam("过程比率")
    private Double cr;

    @ApiParam("标准偏差n")
    private Double stdOffset;

    @ApiParam("标准偏差n-1")
    private Double stdOffsetMinusOne;

    @ApiParam("方差n")
    private Double variance;

    @ApiParam("方差n-1")
    private Double varianceMinusOne;

    @ApiParam("性能指数")
    private Double pp;

    @ApiParam("性能比率")
    private Double pr;

    @ApiParam("性能指数")
    private Double ppk;

}
