package cn.estsh.i3plus.pojo.mes.model;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author dominic
 * @date 2020/11/19 00:47
 * @desc 包装明细
 */
@Data
@Api("包装明细")
public class PackageDetailModel {

    @ApiParam("料架号")
    private String ctNo;

    @ApiParam("容器位置编号")
    private String ctLocationNo;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("物料编号")
    private String partNo;

    public PackageDetailModel(String ctNo, String ctLocationNo, String serialNumber, String partNo) {
        this.ctNo = ctNo;
        this.ctLocationNo = ctLocationNo;
        this.serialNumber = serialNumber;
        this.partNo = partNo;
    }

    public PackageDetailModel() {
    }

}
