package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description: UNPACK
 * @Reference:
 * @Author: wangjie
 * @CreateDate: 2020-06-28-11:44
 * @Modify:
 **/
@Data
public class PackageUnPackModel {

    @ApiParam("工厂")
    private String organizeCode;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("批次")
    private String lotNo;

    @ApiParam("状态")
    private Integer status;

    @ApiParam("状态名称")
    private String statusName;

    @ApiParam("更新时间")
    private String modifyDatetime;

    @ApiParam("包装数量")
    private String partSpecQty;

    @ApiParam("UNPACK数据")
    private List<PackageUnPackModel> unPackList;
}
