package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Author: siliter.yuan
 * @CreateDate: 2020/6/21 8:06 PM
 * @Description:
 **/
@Data
@Api("涂装上线MODEL")
public class PaintOnLineModel {

    @ApiParam("工作中心")
    private String workCenterCode;

    @ApiParam("工作单元")
    private String workCellCode;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("颜色代码")
    private String colorCode;

    @ApiParam("颜色")
    private String color;

    @ApiParam("工单数量")
    private Double orderNum;

    @ApiParam("包装数量")
    private Double packageNum;

    @ApiParam("项目名称")
    private String productName;

    @ApiParam("创建时间")
    private String createDateTime;

    @ApiParam("圈数")
    private Integer rounds;

    @ApiParam("小车号")
    private  String smallCarNo;

    @ApiParam("车数")
    private  Integer smallCarAmount;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("是否虚拟件")
    private Integer isFictive = 2;

    @ApiParam("反喷标识")
    private String reverseSprayMark;

    @ApiParam("备注")
    private String memo;

    @ApiParam("工单类型")
    private String workType;
}
