package cn.estsh.i3plus.pojo.mes.model;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : PojoField模型
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2020-04-28
 * @Modify:
 * @Modify:
 **/
@Data
public class PojoFieldModel implements Serializable {
    private static final long serialVersionUID = 6761788924707802928L;

    @ApiParam(value ="属性名")
    private String fieldName;

    @ApiParam(value ="属性类型")
    private String fieldType;

    @ApiParam(value ="属性描述")
    private String fieldDesc;

    @ApiParam(value ="字段名称")
    private String fieldColumnName;

    @ApiParam(value = "数据来源")
    private String dataSrc;

    @ApiParam(value = "开窗列表显示列名称")
    private String listColumnName;

    @ApiParam(value = "开窗搜索列名称")
    private String searchColumnName;

    @ApiParam(value = "回显列名")
    private String explicitColumnName;

    @ApiParam(value = "下拉框规则")
    private Integer selectRule;
}
