package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description : 用于产线运行情况数据
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-10-22
 * @Modify:
 **/
@Data
public class ProductBiSeriesModel {
    @ApiParam("名称")
    private String name;
    @ApiParam("类型")
    private String type;
    @ApiParam("显示的数据")
    private List<Double> data;
    @ApiParam("实际数量集合")
    private List<Double> snQtyList = new ArrayList<>();
    @ApiParam("计划数量集合")
    private List<Double> planQtyList = new ArrayList<>();
}
