package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("生产数据缓存model")
public class ProductDataCacheModel {

    @ApiParam("对象代码")
    private String objectCode;

    @ApiParam("字段名称")
    private List<ProductDataModel> productDataModelList;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("是否必须是合格")
    private Boolean isNecessary = false;

}
