package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;


/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/6/8 1:22 下午
 * @Modify:
 */
@Data
public class ScatterPartProdCfgModel {

    private Long id;

    private String organizeCode;

    @ApiParam("配置编号")
    private String cfgId;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("车型标志值")
    private String modelFalgValue;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("等级代码")
    private String gradeCode;

    @ApiParam("颜色代码")
    private String colorCode;

    @ApiParam("标志位")
    private Integer partFlagLocation;

    @ApiParam("标志值")
    private String partFlagValue;

    @ApiParam("防错码")
    private String pokeYokeFix;

    @ApiParam("项目代码")
    private String prodCfgTypeCode;

    @ApiParam("产品位置代码")
    private String produceCtgyCode;

    @ApiParam("确认扫描次数")
    private Integer checkScanCount;

    @ApiParam("组合码发送顺序")
    private Integer sendSeq;

    @ApiParam("黄枪规则")
    private Integer yellowGunRule;

    @ApiParam("是否截至顺序号")
    private Integer isEndSeq;

    @ApiParam("多媒体插头数量")
    private Double multimediaPlusQty;

    public ScatterPartProdCfgModel() {}

    public ScatterPartProdCfgModel(Long id, String workCenterCode, String workCellCode, String partNo, String partName
            , String gradeCode, String colorCode, String prodCfgTypeCode, String produceCtgyCode, Double multimediaPlusQty) {
        this.id = id;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.partNo = partNo;
        this.partName = partName;
        this.gradeCode = gradeCode;
        this.colorCode = colorCode;
        this.prodCfgTypeCode = prodCfgTypeCode;
        this.produceCtgyCode = produceCtgyCode;
        this.multimediaPlusQty = multimediaPlusQty;
    }
}
