package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesUserSkill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Description : 人员技能-获取用户信息
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("用户信息model")
public class SkillsUserModel {

    @ApiParam(value ="姓名")
    private String userName;

    @ApiParam(value ="工号")
    private String userEmpNo;

    @ApiParam(value ="工位")
    private String workCellCode;

    @ApiParam(value ="产线")
    private String workCenterCode;

    @ApiParam("技能矩阵信息")
    private List<MesUserSkill> mesUserSkillList;

}
