package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesProduceCtgyPicture;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class SkinCheckModel implements Serializable {

    @ApiParam("主队列编号")
    private String orderNo;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("生产号")
    private String vinCode;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("车型")
    private String prodCfgTypeCode;

    @ApiParam("等级")
    private String gradeCode;

    @ApiParam("面位")
    private String sideLocation;

    // 产品位置图片
    private List<MesProduceCtgyPicture> produceCtgyPictureList;

}
