package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesQueueShippingDetail;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2020/5/26 18:59
 * @desc
 */
@Data
@Api("散件队列发运model")
public class SpQueueShippingModel {

    @ApiParam("队列编号")
    private String jitNo;

    @ApiParam("vin")
    private String vin;

    @ApiParam("车号")
    private String carNo;

    @ApiParam("等级代码")
    private String gradeCode;

    @ApiParam("产品颜色")
    private String produceColor;

}
