package cn.estsh.i3plus.pojo.mes.model;


import cn.estsh.i3plus.pojo.mes.bean.MesStationBom;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/9/21 3:11 PM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("工位BOM model")
public class StationBomModel extends MesStationBom {

    @ApiParam("上料数量")
    private Long cellFeedQty;

    @ApiParam("是否上料数量满足")
    private Boolean isFeedSatisfied;


}
