package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Wynne.Lu
 * @date 2020/12/9 19:09
 * @desc
 */
@Data
@NoArgsConstructor
@Api("bi的工单model")
public class WorkOrderBiModel {

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("零件名")
    private String partName;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("工单号")
    private String workOrderNo;

    public WorkOrderBiModel(String partNo, String partName, String workCenterCode, String workOrderNo) {
        this.partNo = partNo;
        this.partName = partName;
        this.workCenterCode = workCenterCode;
        this.workOrderNo = workOrderNo;
    }
}
