package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2020/8/25 16:22
 * @desc
 */
@Data
public class XbarModel {

    @ApiParam("控制上限")
    private Double ucl;

    @ApiParam("控制下限")
    private Double lcl;

    @ApiParam("均值-蓝线 key组号，value值")
    private List<Double> xbar = new ArrayList<>();

    @ApiParam("平均均值-绿线")
    private Double xbarbar;

    @ApiParam("标准差")
    private Double stdDev;


}
