package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2020/12/23 13:38 下午
 * @Description: 一次性通过率查询参数model
 **/
@Api("一次性通过率查询参数model")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProduceDispPassRateQueryModel {
    /**
     * 必选
     */

    @ApiParam("工序")
    private String processCode;

    @ApiParam("统计方式")
    private Integer statisticalPlacer;

    @ApiParam("质量类型")
    private String qcStatus;

    /**
     * 可选
     */
    @ApiParam("项目号")
    private List<String> prodCfgTypeCodeList;

    @ApiParam("零件号")
    private List<String> partNoList;

    @ApiParam("开始时间")
    private String modifyStartDate;

    @ApiParam("结束时间")
    private String modifyEndDate;

}
