package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 产品履历报表-过程信息
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/18 15:16
 **/
@Data
@ApiModel("产品履历报表-过程信息")
public class ProductSnTravelModel implements Serializable {

    private static final long serialVersionUID = 6720300188491659067L;


    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("条码状态")
    private Integer snStatus;

    @ApiParam("条码状态Name")
    private String snStatusName;

    @ApiParam("质量状态")
    private Integer qcStatus;

    @ApiParam("质量状态Name")
    private String qcStatusName;

    @ApiParam("物料码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("流程代码")
    private String routeCode;

    @ApiParam("当前工序")
    private String processCode;

    @ApiParam("当前工序")
    private String nextProcessCode;

    @ApiParam("条码类型")
    private Integer snType;

    @ApiParam("条码类型Name")
    private String snTypeName;

    @ApiParam(value = "执行时间")
    public String modifyDatetime;

}
