package cn.estsh.i3plus.pojo.model.form;

import cn.estsh.i3plus.pojo.base.dynamic.DynamicEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-04-03 17:30
 * @Modify:
 **/
@Data
public class SqlScriptModel implements Serializable {

    private static final long serialVersionUID = 512077813851983749L;
    @ApiParam(value = "对象元素ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long elementId;

    @ApiParam(value = "元素内容")
    private String elementContent;

    @ApiParam(value = "动态对象Class")
    private Class dynClass;

    @ApiParam(value = "动态对象")
    private DynamicEntity dynObj;

    @ApiParam(value = "封装数据", example = "-1")
    private List<SqlColumnModel> params;

}
