package cn.estsh.i3plus.pojo.model.mes;

import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description : Wms实体字段Model信息
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-04-24 09:53
 * @Modify:
 **/
@Data
@NoArgsConstructor
public class BasBeanFieldInfoModel implements Serializable {

    private static final long serialVersionUID = -6376845639646448895L;

    @ApiParam(value = "表名称")
    public String tableName;

    @ApiParam(value = "表字段名称")
    private String fieldName;

    @ApiParam(value = "表字段描述")
    private String fieldDesc;

    @ApiParam(value = "表字段类型")
    private String fieldType;

    @ApiParam(value = "主键")
    private String isFieldPrimaryKey;

    @ApiParam(value = "非空")
    private String isFieldNull;

    @ApiParam(value = "外键")
    private String isFieldForeignKey;

    @ApiParam(value = "唯一约束")
    private String isFieldUnique;

    @ApiParam(value = "自增")
    private String isFieldGeneric;
}
