package cn.estsh.i3plus.pojo.model.report;

import cn.estsh.i3plus.pojo.report.bean.BrElement;
import cn.estsh.i3plus.pojo.report.bean.BrLayout;
import cn.estsh.i3plus.pojo.report.bean.BrRefReport;
import cn.estsh.i3plus.pojo.report.bean.BrReport;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-3-24 下午3:28
 * @Modify:
 **/
@Data
public class BrDynamicPageModel implements Serializable {

    private static final long serialVersionUID = -5054183081964783780L;
    @ApiParam(value = "报表信息")
    private BrReport report;

    @ApiParam(value = "布局信息")
    private BrLayout layout;

    @ApiParam(value = "报表排版关系")
    private List<BrRefReport> refReportList;

    @ApiParam(value = "页面元素内容")
    private List<BrElement> elementList;

    @ApiParam(value = "页面元素内容")
    private List<TemplateModel> templateModelList;

}
