package cn.estsh.i3plus.pojo.model.softswitch;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 2019/9/12 下午2:00
 * @Modify:
 **/
@Data
public class SoftswitchIocModel implements Serializable {
    private static final long serialVersionUID = 8945557825392215914L;
    /* Spring Ioc Bean 名称 */
    private String beanName;
    /* Spring Ioc 需要管理的Bean */
    private Object obj;
    /* 需要 管理 Bean 类型 */
    private Integer objType;
    /* 需要 管理 Bean 状态 */
    private Integer objStatus;
    /* 需要 管理 Bean 唯一 */
    private String objKey;
    /* Bean 的描述信息 */
    private String objDescription;
}
