package cn.estsh.i3plus.pojo.model.softswitch;

import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 2019/10/8 下午1:18
 * @Modify:
 **/
@Data
public class SuitParamModel implements Serializable {

    private static final long serialVersionUID = -1695550139368764444L;
    /* 标签名称 */
    private String tagName;
    /* 标签 Class Path */
    private String classPath;
    /* 标签 调用的方法名称 */
    private String methodName;
    /* 标签 id 属性值 */
    private String id;
    /* 标签 name 属性值 */
    private String name;
    /* 标签唯一标识 */
    private String pathKey;
    /* 标签内容 */
    private String vaule;
    /**
     * 标签 内容 类型 暂未定义
     * 设计思路： type 说明这个字段属于什么类型的值， 例如 Date,BigDecimal 等特殊类型标注
     */
    private String type;

    /* 标签属性 */
    private Map<String, String> attr;
    /* 父节点 */
    private SuitParamModel parent;
    /* 标签子集 */
    private List<SuitParamModel> childList;

    @Override
    public String toString() {
        return "SuitParamModel{" +
                "tagName='" + tagName + '\'' +
                ", classPath='" + classPath + '\'' +
                ", methodName='" + methodName + '\'' +
                ", id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", pathKey='" + pathKey + '\'' +
                ", vaule='" + vaule + '\'' +
                ", type=" + type +
                ", attr=" + attr +
                ", childList=" + childList +
                '}';
    }
}
