package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Description : Wms健康指标报表模型
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-05-15 09:53
 * @Modify:
 **/
@Data
@NoArgsConstructor
public class WmsHealthIndicatorReportModel implements Serializable {

    private static final long serialVersionUID = -6376850049646448495L;

    @ApiParam(value = "图表标题名称")
    public String titleName;

    @ApiParam(value = "图例集合")
    public Set<String> legendList;

    @ApiParam(value = "X轴数据集合")
    public List<String> xAxisList;

    @ApiParam(value = "图表数据集合")
    public List<Map<String, Object>> seriesDataList;
}
