package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description : Wms健康变量参数
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-05-14 09:53
 * @Modify:
 **/
@Data
@NoArgsConstructor
public class WmsHealthVariableResultModel implements Serializable {

    private static final long serialVersionUID = -6376849949646448495L;

    @ApiParam(value = "订单号")
    public String orderNo;

    @ApiParam(value = "供应商名称")
    public String vendorName;

    @ApiParam(value = "需求数量")
    private Double qty;

    @ApiParam(value = "物料号")
    private String partNo;

    @ApiParam(value = "物料名称")
    private String partNameRdd;

    @ApiParam(value = "计划到货日期")
    private String planDateTime;

    @ApiParam(value = "实际到货日期")
    private String actDateTime;

    @ApiParam(value = "物料组编号")
    private String partGroupNo;
}
