package cn.estsh.i3plus.pojo.model.wms;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 定时任务参数解析Model
 * @Reference
 * @Author dragon
 * @CreateDate 2019/7/17 16:25
 * @Modify
 */
@Data
public class WmsJobParamModel implements Serializable {
    private static final long serialVersionUID = 5784492509251527816L;
    private String organizeCode;//工厂代码
    private List<String> zonesNoList;//存储区编号
    private String src;//单据来源枚举
    private Integer snType;//条码类型（虚拟，实物）
    private String devOpsEmail;//运维人员邮箱
    private Integer minuteDiff;//处理周期(分钟)
    private List<String> fixPartList;//需要特殊处理的零件号集合
    private String fixPartAndWhere; // 特殊零件号需要加的过滤条件
    private Integer pageSize;//数据条数
    private Integer isCheckSn;//是否检查条码存在
    private Integer erpSyncFlag;//查询SHIPPING表的条件
    private String filterZoneNos;//过滤存储区
    private String zoneNos;//存储区


    public int getMinuteDiffVal() {
        return this.minuteDiff == null ? 0 : this.minuteDiff.intValue();
    }
}
