package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-06-02 9:27
 * @Modify:
 **/
@Data
public class WmsLocateModel implements Serializable {

    private static final long serialVersionUID = 2433931236774158401L;

    @ApiParam(value = "箱数")
    public Long snBoxQty;

    @ApiParam(value = "最大包装数量")
    public Integer maxPackageQty;

    @ApiParam(value = "库位利用率值")
    public Double proportionValue;

    @ApiParam(value = "库位代码")
    public String locateNo;

    @ApiParam(value = "库位名称")
    public String locateName;

    @ApiParam(value = "存储区代码")
    public String zoneNo;

    @ApiParam(value = "存储区名称")
    public String zoneName;

    @ApiParam(value = "仓库代码")
    public String whNo;

    @ApiParam(value = "仓库名称")
    public String whNoName;

    @ApiParam(value = "组织代码")
    public String organizeCode;

    @ApiParam(value = "库位利用率查询")
    public Integer proportion;

    @ApiParam(value = "库位利用率")
    public String proportionValueStr;

    public WmsLocateModel() {
    }

    public WmsLocateModel(Long snBoxQty, Integer maxPackageQty, Double proportionValue,
                          String locateNo, String locateName, String zoneNo,
                          String zoneName, String whNo, String whNoName, String organizeCode) {
        this.snBoxQty = snBoxQty;
        this.maxPackageQty = maxPackageQty;
        this.proportionValue = proportionValue;
        this.locateNo = locateNo;
        this.locateName = locateName;
        this.zoneNo = zoneNo;
        this.zoneName = zoneName;
        this.whNo = whNo;
        this.whNoName = whNoName;
        this.organizeCode = organizeCode;
    }
}
