package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.wms.bean.dynamictable.WmsSearchElement;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : WMS列表搜索model
 * @Reference :
 * @Author : sjc
 * @CreateDate : 2020-01-07 14:33
 * @Modify:
 **/
@Data
@Api("WMS列表搜索model")
public class WmsSearchElementModel extends BaseBean {

    private static final long serialVersionUID = -5429148439603308698L;
    @ApiParam(value = "功能菜单ID")
    private Long functionId;

    @ApiParam(value = "组名称")
    private String groupName;

    @ApiParam(value = "组条件连接符")
    private String groupConnector;

    @ApiParam(value = "用户编号")
    private String userCode;

    @ApiParam(value = "是否共享")
    private Integer isShare;

    @ApiParam(value = "搜索名称")
    private String searchName;

    @ApiParam(value = "Wms查询元素列表")
    private List<WmsSearchElement> searchElementList;
}
