package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : WMS列表搜索model
 * @Reference :
 * @Author : sjc
 * @CreateDate : 2020-01-07 14:33
 * @Modify:
 **/
@Data
public class WmsSearchGroupModel {

    @ApiParam(value = "组列表")
    private List<WmsSearchElementModel> searchElementModelList;

    @ApiParam(value = "排序参数")
    private String orderByParams;

    @ApiParam(value = "分页组件")
    private Pager pager;

    @ApiParam(value = "实体类名")
    private String objClassName;

    @ApiParam(value = "有效性")
    public Integer isValid;

    @ApiParam(value = "工厂代码")
    public String organizeCode;
}
