package cn.estsh.i3plus.pojo.model.wms;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 定时同步悬挂链库存数据JOB
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-07-15 14:47
 * @Modify:
 **/
@Data
public class WmsSuspenStockSyncModel implements Serializable {

    private static final long serialVersionUID = -6690672187776424774L;

    private String src;// 来源数据
    private String serverUrl;//地址
    private Integer namespaceIndex;//命名空间索引，默认为2
    private String userName;//用户名
    private String password;//密码
    private Double requestInterval;//请求间隔,默认为500
    private String readTagName;//读的地址
    private String partTagNameA;//物料号A
    private String partTagNameB;//物料号B
    private String qtyTagNameA;//数量A
    private String qtyTagNameB;//数量B
    private String lotNoTagNameA;//批次A
    private String lotNoTagNameB;//批次B
    private String locateTagName;//库位代码
    private Integer plcExeOutTime;//超时时间
    private String ackTagName;//修改的地址
    private Integer tagValueType;//数据类型
}
