package cn.estsh.i3plus.pojo.ptl.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 18:18
 * @desc
 */
@Data
@ApiModel("作业组件model")
public class ActionModuleModel implements Serializable {

    private static final long serialVersionUID = 4925369056448110395L;

    @ApiModelProperty("组件代码")
    private String amCode;

    @ApiModelProperty("调用类")
    private String callClass;

    @ApiModelProperty("是否完成")
    private Boolean isComplete;

    @ApiModelProperty("执行顺序")
    private Integer seq;
}
