package cn.estsh.i3plus.pojo.ptl.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/13 19:31
 * @desc
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
@ApiModel("actor消息类型及属性")
public class ActorMessageModel implements Serializable {

    private static final long serialVersionUID = 4524576023835016971L;

    @ApiModelProperty("消息类型代码")
    private String mtCode;

    @ApiModelProperty("消息类型名称")
    private String mtName;

    @ApiModelProperty("属性代码")
    private String fieldCode;

    @ApiModelProperty("属性名称")
    private String fieldName;

    @ApiModelProperty("actor代码")
    private String actorCode;

    @ApiModelProperty("特定条件")
    private String specificRule;

    @ApiModelProperty("actor类")
    private String actorClass;

    @ApiModelProperty("工厂")
    private String organizeCode;



}
