package cn.estsh.i3plus.pojo.ptl.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : joke
 * @CreateDate : 2020-02-27 5:32 下午
 * @Modify:
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
@ApiModel("actor消息类型及属性")
public class AreaSectionTaskDetailModel implements Serializable {

    private static final long serialVersionUID = -896587708527024227L;

    private Long id;

    @ApiParam("ip地址")
    private String ip;

    @ApiParam("端口")
    private String port;

    @ApiParam("亮灯方式")
    private Integer lightMode;

    @ApiParam("亮灯颜色")
    private Integer lightColor;

    @ApiParam("标签编号")
    private Integer tagNo;

    @ApiParam("是否蜂鸣")
    private Integer isBuzzing;

    @ApiParam("音乐类型")
    private Integer musicType;

    @ApiParam("显示内容")
    private String displayContent;

    @ApiParam("任务状态")
    private Integer status;
}
