package cn.estsh.i3plus.pojo.report.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 19-12-3 下午5:10
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="BR_POJO_FILTER")
@Api(value="对象筛选器",description = "对象筛选器")
public class BrPojoFilter extends BaseBean {

    private static final long serialVersionUID = -6375751397050043457L;
    @Column(name="MASTER_ID")
    @ApiParam(value ="主对象ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long masterId;

    @Column(name="FILTER_NAME")
    @ApiParam(value ="筛选器名称")
    private String filterName;

    @Column(name="FILTER_DESCRIPTION")
    @ApiParam(value ="筛选器描述")
    private String filterDescription;

}
