package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 适配记录参数
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "SUIT_RECORD_PARAM",indexes = {
        @Index(name="suit_record_param_suit_record_id_idx",columnList = "SUIT_RECORD_ID"),
})
@Api(value = "适配记录参数", description = "适配记录参数")
public class BsSuitRecordParam extends BaseBean {

    private static final long serialVersionUID = -5521394058203638651L;
    @Column(name = "SUIT_RECORD_ID")
    @ApiParam(value = "适配记录id")
    private Long suitRecordId;

    @Column(name = "PARAM_NAME")
    @ApiParam(value = "参数名称")
    private String paramName;

    @Lob
    @Column(name = "PARAM_VAL")
    @ApiParam(value = "参数值")
    private String paramVal;

}

