package cn.estsh.i3plus.pojo.sweb.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 待发布订单列表输出模型
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-02 13:13
 * @Modify:
 **/
@Data
public class SwebPOForPubListResultModel extends BaseBean {

    private static final long serialVersionUID = 3662427372635980801L;
    @ApiParam(value = "拆分请求时间数量列表", example = "1")
    private List<String> reqTimeList;

    @ApiParam(value = "分页列表", example = "1")
    private ListPager<SwebPOForPubListResultItemModel> pageList;
}
