package cn.estsh.i3plus.pojo.sweb.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.Collections;
import java.util.List;

/**
 * @Description : 待发布订单列表输出模型
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-02 13:13
 * @Modify:
 **/
@Data
public class SwebPOForPubListResultModelV2 extends BaseBean {

    private static final long serialVersionUID = -6692335488511053499L;
    @ApiParam(value = "拆分请求时间数量列表", example = "1")
    private List<String> reqTimeList = Collections.EMPTY_LIST;

    @ApiParam(value = "列表", example = "1")
    private List<SwebPOForPubListResultItemModel> list = Collections.EMPTY_LIST;
}
