package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : MGN质检报表(通过查询视图实现)
 * @Reference :
 * @Author : puxiao.liao
 * @CreateDate : 2020-09-01 14:37
 * @Modify:
 **/
@Data
@Api("质检报表")
public class WmsQCViewReport extends BaseBean {
    private static final long serialVersionUID = 4905945381732744790L;

    @ApiParam("单号")
    private String orderNo;

    @ApiParam("检验数量")
    private double sampleQty;

    @ApiParam("不合格数量")
    private double rejectQty;

    @ApiParam("检验员")
    private String qcUser;

    @ApiParam(value = "检验时间")
    private String qcTime;

    @ApiParam(value = "收货数量")
    public Double rcQty;

    @ApiParam(value = "质检比例")
    public String qcScale;
}
