package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 中航WMS看板－仓库预警看板(出参)
 * @Reference :
 * @Author :QianHuaSheng
 * @CreateDate : 2020-04-10 3:21 下午
 * @Modify:
 **/
@Data
@Api("中航WMS看板－仓库预警看板(出参)")
public class WmsWarehouseWarningDto {

    @ApiParam(value = "零件号")
    private String partNo;

    @ApiParam(value = "存储区")
    private String zoneNo;

    @ApiParam(value = "零件号名称")
    private String partNameRdd;

    @ApiParam(value = "库存")
    private Double qty;

    @ApiParam(value = "最大库存")
    private Double maxqty;

    @ApiParam(value = "最小库存")
    private Double minqty;

    @ApiParam(value = "库存状态")
    private String stockStatus;

    @ApiParam(value = "库位")
    private String locateNo;

    @ApiParam(value = "颜色")
    private String color;

    public WmsWarehouseWarningDto(String partNo, String zoneNo, String partNameRdd, Double qty, Double maxqty,
                                  Double minqty, String stockStatus, String locateNo, String color) {
        this.partNo = partNo;
        this.zoneNo = zoneNo;
        this.partNameRdd = partNameRdd;
        this.qty = qty;
        this.maxqty = maxqty;
        this.minqty = minqty;
        this.stockStatus = stockStatus;
        this.locateNo = locateNo;
        this.color = color;
    }

    public WmsWarehouseWarningDto() {

    }

}
