package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Description : 插件日志
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-03-23 11:18
 * @Modify:
 **/
@Data
@AllArgsConstructor
@Api("插件日志")
public class BasPluginLoggerModel {

    @ApiParam("插件名称")
    private String pluginName;

    @ApiParam("插件实例类名称")
    private String className;

    @ApiParam("插件调用方法名称")
    private String methodName;

    @ApiParam("插件日志内容")
    private String loggerContext;

    @ApiParam("日志打印日期")
    private String printDate;
}
