package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 最低库存/最高库存 预警看板 Model
 * @Author : shun.cui
 * @CreateDate : 2020/12/17 10:55
 * @Modify :
 **/
@Data
@Api("最低库存/最高库存预警看板")
public class MinAndMaxStockModel {
    @ApiParam("工厂名")
    private String organizeCode;
    @ApiParam("存储区")
    private String zoneNo;
    @ApiParam("库位")
    private String locateNo;
    @ApiParam("零件号")
    private String partNo;
    @ApiParam("简称")
    private String partNameAdd;
    @ApiParam("数量")
    private Double qty;
    @ApiParam("最低库存")
    private Double min;
    @ApiParam("最高库存")
    private Double max;
    @ApiParam("件号")
    private String partTypeDesc;
    @ApiParam("包装规格")
    private Double snp;

}
