package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 收货追踪地图信息
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-04-02
 * @Modify:
 **/
@Data
@Api("收货追踪地图信息")
public class SupplyTrackingModel {
    @ApiParam("供应商经纬度")
    private String vendorMap;

    @ApiParam("收货仓库经纬度")
    private String rcWarehouseMap;

}
