package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author Yerik Stone
 * @description WmsMoveUnfinishedOrderModel
 * @date 2019/6/26
 */
@Data
@Api("未完成订单模型")
public class WmsMoveUnfinishedOrderModel extends  BaseBean{

    private static final long serialVersionUID = 363976915707604557L;
    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("未完成数量")
    private Double destQty;


    @ApiParam("交易类型")
    private String transTypeCode;

    @ApiParam("交易类型名称")
    private String transTypeName;

    @ApiParam("关联单号")
    private String refSrc;

    public WmsMoveUnfinishedOrderModel(){
    }

    public WmsMoveUnfinishedOrderModel(String organizeCode, String partNo, String partNameRdd, Double destQty, String transTypeCode, String transTypeName, String refSrc) {
        this.organizeCode = organizeCode;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.destQty = destQty;
        this.transTypeCode = transTypeCode;
        this.transTypeName = transTypeName;
        this.refSrc = refSrc;
    }

    public WmsMoveUnfinishedOrderModel(String organizeCode, String partNo, String partNameRdd, Double destQty, String transTypeCode,  String refSrc) {
        this.organizeCode = organizeCode;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.destQty = destQty;
        this.transTypeCode = transTypeCode;
        this.refSrc = refSrc;
    }
}
