package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.wms.bean.WmsPart;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 供应商微服调用Model
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-30 19:18
 * @Modify:
 **/
@Data
@Api("供应商微服调用Model")
public class WmsPartModel extends BaseBean {

    private static final long serialVersionUID = -4435519990466605445L;
    @ApiParam("物料")
    private WmsPart wmsPart;

    @ApiParam("分页对象")
    private Pager pager;
}
