package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.wms.bean.WmsTractics;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-06-15 13:21
 * @Modify:
 **/
@Data
@Api("策略返回model")
public class WmsStrategyModel {

    @ApiParam(value = "物料编号")
    private String partNo;

    @ApiParam(value = "数量")
    private Double qty;

    @ApiParam(value = "工厂代码")
    private String organizeCode;

    @ApiParam("策略对象")
    public WmsTractics wmsTractics;

    @ApiParam("List结果集")
    public List<Object> resultList;

    @ApiParam("List策略项名集")
    public List<Object> strategyList;

    @ApiParam("返回错误信息")
    public String errorMsg;
}
