package cn.estsh.i3plus.pojo.andon.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 上升配置明细model
 * @Reference:
 * @Author: wangjie
 * @CreateDate:2019-11-12-10:21
 * @Modify:
 **/
@Data
public class AndonRiteRouteDetailModel implements Serializable {

    private static final long serialVersionUID = 1993963582174708808L;

    @ApiParam(value = "安灯类型")
    private String alarmCode;

    @ApiParam(value = "安灯状态")
    private String andonStatus;

    @ApiParam(value = "工作中心")
    private String workCenterCode;

    @ApiParam(value = "备注")
    private String memo;

    @ApiParam(value = "工作中心名称")
    private String workCenterNameRdd;

    @ApiParam(value = "上升流程配置ID")
    private Long riteRouteId;

    @ApiParam(value = "通知时间")
    private String rpWhere;

    @ApiParam(value = "通知方式代码")
    private String rpCode;

    @ApiParam(value = "通知对象")
    private String rpObjectCode;

    @ApiParam(value = "通知级别")
    private String rpLevel;

}
