package cn.estsh.i3plus.pojo.andon.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;

/**
 * @Description : 人员model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("用户信息model")
public class AndonUserModel extends BaseBean {

    @ApiParam(value ="部门名称")
    private String departmentNameRdd;

    @ApiParam(value ="用户名称" , access ="账号名称")
    private String userName;

    @Column(name="USER_LOGIN_NAME")
    @ApiParam(value ="员工编号")
    private String userEmpNo;

}
