package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.converter.CustomDateDeserializer;
import cn.estsh.i3plus.pojo.aps.converter.CustomDateSerializer;
import cn.estsh.i3plus.pojo.base.common.Pager;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.Api;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Description : 甘特图分页查询参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-11-22
 * @Modify:
 **/
@Data
@Api("甘特图分页查询参数")
public class GanttEventRequest {
    private Long[] resourceIds;
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date begin;
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date end;
}
