package cn.estsh.i3plus.pojo.ics.bean;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-04-10 16:56
 * @Modify:
 **/
@Data
public class IcsActuatorMetrics implements Serializable {

    private static final long serialVersionUID = 4341201186821752353L;
    private String name;
    private List<Measurements> measurements;
    private List<AvailableTags> availableTags;

    @Data
    @NoArgsConstructor
    public static class Measurements {

        private String statistic;
        private Object value;

    }

    @Data
    @NoArgsConstructor
    public static class AvailableTags {

        private String tag;
        private List<String> values;

    }
}
