package cn.estsh.i3plus.pojo.ics.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 实例明细
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-04-10 16:52
 * @Modify:
 **/
@Data
@ApiModel("实例明细")
public class IcsInstanceDetail implements Serializable {

    private static final long serialVersionUID = -348649782622051827L;
    @ApiModelProperty("pid")
    private String pid;

    @ApiModelProperty("正常运行时间")
    private double uptime;

    @ApiModelProperty("正常运行时间")
    private String uptimeStr;

    @ApiModelProperty("进程Cpu使用情况")
    private double processCpuUsage;

    @ApiModelProperty("系统Cpu使用情况")
    private double systemCpuUsage;

    @ApiModelProperty("CPU数量")
    private int cpuNum;

    @ApiModelProperty("gc计数")
    private int gcCount;

    @ApiModelProperty("gc总花费时间")
    private double gcTotalTimeSpent;

    @ApiModelProperty("gc花费的最长时间")
    private double gcMaxTimeSpent;

    @ApiModelProperty("监控网址")
    private String monitorUrl;

    @ApiModelProperty("ApiUrl")
    private String apiUrl;

    @ApiModelProperty("服务网址")
    private String serviceUrl;

}
