package cn.estsh.i3plus.pojo.lac.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 19-10-22 下午3:32
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="LAC_TASK_TYPE")
@Api(value="任务类型",description = "任务类型")
public class LacTaskType extends BaseBean {

    private static final long serialVersionUID = 7596608775083338503L;
    @Column(name="TYPE_NAME")
    @ApiParam(value ="类型名称")
    private String typeName;

    @Column(name="TYPE_REF_NUM")
    @ApiParam(value ="适配器使用数量")
    private Integer typeRefNum;

    @Column(name="TYPE_DESCRIPTION")
    @ApiParam(value ="类型描述")
    private String typeDescription;
}
