package cn.estsh.i3plus.pojo.mdm.bean.master;

import cn.estsh.i3plus.pojo.mdm.bean.base.BaseMdmBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 主数据齿轮
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-05-12 18:09
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MDM_GEAR")
@ApiModel("主数据齿轮")
public class MdmGear extends BaseMdmBean {

    private static final long serialVersionUID = -7580444601811207793L;

    @Column(name="NAME")
    @ApiModelProperty("齿轮名称")
    private String name;

    @Column(name="GEAR_MODEL")
    @ApiModelProperty("齿轮规格")
    private String gearModel;

}
