package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: adair.song
 * @CreateDate: 2020\04\21 13:34
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_SHIFT_CLASS")
@Api("MES_班制表")
public class MesShiftClass extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1222874834741345978L;
    @Column(name = "SHIFT_CLASS_CODE")
    @ApiParam("班制代码")
    private String shiftClassCode;

    @Column(name = "SHIFT_CLASS_NAME")
    @ApiParam("班制名称")
    private String shiftClassName;
}
