package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @description 数据库实例字段模型
 * @author adair.song --复用--> siliter.yuan
 * @CreateDate : 2020-05-18 16:49
 */
@Data
@Api("数据库实例字段模型")
public class BasBeanFieldModel {

    @ApiParam("表名")
    private String tableName;

    @ApiParam("表描述")
    private String tableDesc;

    @ApiParam("字段英文名称")
    private String fieldEnName;

    @ApiParam("字段类型")
    public String fieldType;

    @ApiParam("字段描述")
    private String fieldDesc;

    @ApiParam("实例类名")
    public String entityName;

    @ApiParam("实例字段名称")
    public String propertyName;

    @ApiParam("实例类全名")
    public String entityClassName;
}
