package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/3/17 3:47 下午
 * @Modify:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ButtonDynamicModel {

    private Long id;

    @ApiParam("按钮名称")
    private String buttonName;

    @ApiParam("按钮代码")
    private String buttonCode;

    @ApiParam("回调界面方法")
    private String windowModuleBack;

    @ApiParam("界面编号")
    private String windowNo;

    @ApiParam("参数代码")
    private String paramCode;

    @ApiParam("参数值")
    private String paramValue;


    public ButtonDynamicModel(Long id, String buttonCode, String buttonName, String windowNo, String windowModuleBack) {
        this.id = id;
        this.buttonCode = buttonCode;
        this.buttonName = buttonName;
        this.windowNo = windowNo;
        this.windowModuleBack = windowModuleBack;
    }


    public ButtonDynamicModel(String buttonCode, String buttonName, String paramCode) {
        this.buttonCode = buttonCode;
        this.buttonName = buttonName;
        this.paramCode = paramCode;
    }

    public ButtonDynamicModel(String buttonCode, String buttonName, String paramCode, String paramValue) {
        this.buttonCode = buttonCode;
        this.buttonName = buttonName;
        this.paramCode = paramCode;
        this.paramValue = paramValue;
    }

    public ButtonDynamicModel(Long id, String buttonCode, String windowNo, String windowModuleBack, String paramCode, String paramValue) {
        this.id = id;
        this.buttonCode = buttonCode;
        this.windowNo = windowNo;
        this.windowModuleBack = windowModuleBack;
        this.paramCode = paramCode;
        this.paramValue = paramValue;
    }
}
