package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/8/21 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("mes导入结果model")
public class ExcelImportResultModel<T> implements Serializable {

    @ApiParam("结果")
    private boolean result;

    @ApiParam("成功行数量")
    private int successRowNum;

    @ApiParam("失败行数量")
    private int failRowNum;

    @ApiParam("错误信息集合")
    private List<ExcelImportErrorModel> excelImportErrorModels;

    @ApiParam("错误的行号")
    private String errorRows;

    @ApiParam("导入数据集合")
    private List<T> excelList;

    @ApiParam("导入进度")
    private String importSpeed;

}
