package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description: 异步任务model
 * @Reference:
 * @Author: wangjie
 * @CreateDate: 2020-06-28-11:44
 * @Modify:
 **/
@Data
public class FutrueTaskModel<T> {

    @ApiParam("实现类")
    private Object futrueTaskService;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("数据")
    private Object Obj;

    @ApiParam("集合")
    private List<T> list;

}
