package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("海纳川数据复核model")
public class HncDataReviewModel {

    @ApiParam("关键件")
    private String itemPartNo;

    @ApiParam("关键件名称")
    private String itemPartName;

    @ApiParam("需要数量")
    private String needNum;

    @ApiParam("实际数量")
    private String realNum;

    @ApiParam("对象代码")
    private String objectCode;

    @ApiParam("是否合格标识")
    private Integer reviewFlag;

    @ApiParam("是否合格")
    private String reviewResult;

    @ApiParam("关键件颜色")
    private String keyPartColor;

    @ApiParam("生产数据颜色")
    private String prodDataColor;

}
