package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description:
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate: 2019\11\18 9:34
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("QC质检单model（发货检验）")
public class IfQcOrderRcCheckModel extends BaseBean {

    @ApiParam("Ruid")
    private Long ruid;

    @ApiParam("单据号")
    private String orderNo;

    @ApiParam("发运时间")
    private String deliveryDate;

    @ApiParam("客户代码")
    private String customerCode;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("计划数量")
    private Double orderQty;

    @ApiParam("工厂代码")
    private String factoryCode;

    @ApiParam("客户发往地代码")
    private String customerDeliveryCode;

    @ApiParam("物流供应商")
    private String option1;

    @ApiParam("业务类型")
    private String checkType;

    @ApiParam("到达时间")
    private Double arrivalDate;

    @ApiParam("运输方式")
    private String transportTypeDesc;

    @ApiParam("发出地")
    private String srcSite;

    @ApiParam("发往地")
    private String destSite;

    @ApiParam("运输类型")
    private String transportClass;

    @ApiParam("同步状态")
    private Integer syncStatus;

    @ApiParam("错误信息")
    private String errMsg;
}
