package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author wangjie
 * @date 2020/4/9 18:00
 * @desc TJ注塑上料展示组件顶部数据集合model
 */
@Data
public class InjectionFeedingDetailModel {

    @ApiParam("是否选中：1=是，2=否")
    private Integer isCheck = 2;

    @ApiParam("机台编号")
    private String workCenterCode;

    @ApiParam("机台名称")
    private String workCenterName;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("工单状态")
    private Integer workOrderStatus;

    @ApiParam("工单状态名称")
    private String workOrderStatusName;

    @ApiParam("工单计划数量")
    private String qty;

    @ApiParam("颜色")
    private String color;

    @ApiParam("错误信息")
    private String error;

}
