package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 *
 */

/**
 * @Description: 中航-工位停线原因（取AndonManageQueue数据）
 * @CreateDate: 2020/11/2
 * @Author: simon.song
 */
@Data
public class MesAndonManageQueueModel {

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("故障名称")
    private String acDesc;

    @ApiParam("故障来源")
    private String workCellNameRdd;

    @ApiParam("安灯类型")
    private String alarmDetailNameRdd;

    @ApiParam("事件描述")
    private String ecDesc;

}
