package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
* @Description : 盲检规则模板
* @Reference :
* @author: jessica.chen
* @date: 2020/4/16 17:10
* @Modify:
*/

@Data
@Api(value="盲检规则模板",description = "盲检规则模板")
public class MesBlindRuleModel extends BaseBean {

    private static final long serialVersionUID = 5790342327875844321L;
    @ApiParam(value = "车辆类型")
    @AnnoOutputColumn
    private String carType;

    @ApiParam(value = "车辆颜色")
    @AnnoOutputColumn
    private String carColor;

    @ApiParam(value = "零件号")
    private String partCode;

    @ApiParam(value = "零件名称")
    @AnnoOutputColumn
    private String partName;

    @ApiParam(value = "配置")
    @AnnoOutputColumn
    private String carConfig;

    @ApiParam(value = "等级")
    @AnnoOutputColumn
    private String carLevel;

    @ApiParam(value = "零件颜色")
    @AnnoOutputColumn
    private String partColor;

    @ApiParam(value = "下标")
    @AnnoOutputColumn
    private Integer index;

}
