package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesShiftGroup;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrder;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description: 中航-产线概况-产线概况
 * @CreateDate: 2020/10/19
 * @Author: simon.song
 */
@Data
public class MesBoardWorkCenterOverviewModel {
    @ApiParam("看板代码")
    private String boardCode;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam(value = "工作中心名称")
    private String workCenterName;

    @ApiParam("图片路径")
    private String imageUrl;

    @ApiParam("工单列表")
    List<MesWorkOrder> workOrderList;

    @ApiParam("班组信息")
    MesShiftGroup shiftGroup;
}
