package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description: 中航-产线状态图
 * @CreateDate: 2020/11/2
 * @Author: simon.song
 */
@Data
public class MesBoardWorkCenterStatusModel {

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("实时节拍")
    private String realTimeTakt;

    @ApiParam("工位状态列表")
    private List<MesWorkCellStatusModel> workCellStatusList;

    @ApiParam("工位停线原因")
    private List<MesAndonManageQueueModel> workCellStopLineList;

}
