package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description:
 * @CreateDate: 2020/9/24
 * @Author: simon.song
 */
@Data
public class MesDbCheckRecordModel {
    @ApiParam("主键")
    private Long id;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("零件名称")
    private String partDesc;

    @ApiParam("缺陷类型")
    private String defectType;

    @ApiParam("缺陷原因")
    private String defectDesc;

    @ApiParam("生产记录表主键ID")
    private Long productDataId;

    public MesDbCheckRecordModel(Long id, String serialNumber, String partNo, String partDesc, String defectDesc, Long productDataId) {
        this.id = id;
        this.serialNumber = serialNumber;
        this.partNo = partNo;
        this.partDesc = partDesc;
        this.defectDesc = defectDesc;
        this.productDataId = productDataId;
    }
}
