package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesDefect;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Transient;
import java.util.List;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\24 22:04
 * @Modify:
 **/
@Data
public class MesDefectModel {

    private String defectCode;

    @ApiParam("缺陷名称")
    private String defectName;

    @ApiParam("缺陷类型")
    private String defectType;

    @Transient
    @ApiParam("缺陷类型名称")
    private String defectTypeName;

    @Transient
    @ApiParam("缺陷分类子集")
    private List<MesDefect> mesDefectList;
}
