package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesEquTaskPlanCfg;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Data
public class MesEquTaskPlanModel implements Serializable {
    @ApiParam("id")
    private Long id;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("设备名称")
    private String equipmentName;

    @ApiParam("作业类型")
    private Integer taskType;

    @ApiParam("计划配置代码")
    private String planCfgCode;

    @ApiParam("上一执行时间")
    private String lastTime;

    @ApiParam("创建提前天数")
    private Integer daysInAdvance;

    @ApiParam("备注")
    private String memo;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("设备类别")
    private String equipmentCategory;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("有效性")
    public Integer isValid;

    @ApiParam("是否已删除")
    public Integer isDeleted;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("修改日期")
    public String modifyDatetimePlan;

    @ApiParam("作业类型名称")
    private String taskTypeName;

    @ApiParam("设备类别名称")
    private String equipmentCategoryName;

    @ApiParam("设备周期计划配置")
    private MesEquTaskPlanCfg planCfg;

    public MesEquTaskPlanModel() {

    }

    public MesEquTaskPlanModel(Long id, String equipmentCode, String equipmentName, Integer taskType, String planCfgCode, String lastTime, Integer daysInAdvance, String memo, String workCenterCode, String equipmentCategory, String organizeCode, Integer isValid, Integer isDeleted, String createUser, String createDatetime, String modifyUser, String modifyDatetime, String modifyDatetimePlan) {
        this.id = id;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.taskType = taskType;
        this.planCfgCode = planCfgCode;
        this.lastTime = lastTime;
        this.daysInAdvance = daysInAdvance;
        this.memo = memo;
        this.workCenterCode = workCenterCode;
        this.equipmentCategory = equipmentCategory;
        this.organizeCode = organizeCode;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.modifyDatetimePlan = modifyDatetimePlan;
    }
}
