package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 产品流程配置Model
 * @Reference :
 * @Author : adair
 * @CreateDate : 2020-4-2
 * @Modify:
 **/
@Data
public class MesRouteCfgModel {

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("产品生产类型")
    private String pptCode;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("流程代码")
    private String routeCode;

    @ApiParam("是否执行 1=是 2=否")
    private Integer isActive;
}
