package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 产品流程配置Model
 * @Reference :
 * @Author : adair
 * @CreateDate : 2020-4-2
 * @Modify:
 **/
@Data
public class MesRouteCfgStepModel {

    @ApiParam("工步代码")
    private String stepCode;

    @ApiParam("参数代码")
    private String paramCode;

    @ApiParam("参数值")
    private String paramValue;

    List<MesRouteCfgModel> routeCfgModelList;
}
