package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 生产工单导入
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-03-30 13:42
 * @Modify:
 **/
@Data
@Api(value="生产工单导入",description = "生产工单导入")
public class MesWorkOrderModel {

    //工单号
    @ApiParam("OrderCode")
    @AnnoOutputColumn
    private String orderNo;

    //物料号
    @ApiParam("ItemCode")
    @AnnoOutputColumn
    private String partNo;

    //产线代码
    @ApiParam("ProductionLineID")
    @AnnoOutputColumn
    private String workCenterCode;

    //数量
    @ApiParam("DemandQty")
    @AnnoOutputColumn
    private Double qty;

    //开始时间
    @ApiParam("ProductDate")
    @AnnoOutputColumn
    private String startTime;

}
