package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/9/25 7:41 PM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("PLC交互model")
public class PLCInteracticeModel {

    private String serverIp;

    private String serverPort;

    private String mwContext;

    private String protocol;

    private String plcCode;

    private String dataType;

    private String userName;

    private String password;

    private Integer enabled;

    private String realm;

    private String tag;

    private String value;

    private String comment;

    private String authenKey;

}
