package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Description:
 * @Reference:
 * @Author: wangjie
 * @CreateDate: 2019\10\24 22:04
 * @Modify:
 **/
@Data
public class PartDismantleModel {

    @ApiParam("子物料编码")
    private String itemPartNo;

    @ApiParam("子物料名称")
    private String itemPartName;

    @ApiParam("拆解数")
    private BigDecimal dismantleQty;

    @ApiParam("合格数")
    private BigDecimal okQty;

    @ApiParam("缺失数")
    private BigDecimal missQty;

    @ApiParam("报废数")
    private BigDecimal scrapQty;

}
