package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class PlcEquStatusModel implements Serializable {

    // 主站/从站
    @ApiParam("站位")
    private String stationPosition;

    // 站位IP
    @ApiParam("IP地址")
    private String ipAddress;

    // IP状态 -- 连接/断开
    @ApiParam("IP状态")
    private Integer ipStatus;

    // 电检设备名称
    @ApiParam("电检设备名称")
    private String electricalEqu;

    // 电检设备状态哦 -- 连接/断开
    @ApiParam("电检设备状态")
    private Integer electricalEquStatus;

    // 产线状态
    @ApiParam("产线状态")
    private Integer workCenterStatus;

    // 电检设备切换密码
    @ApiParam("电检设备切换密码")
    private String equChoosePassWard;

    @ApiParam("停机类型")
    private Integer stopType;

    @ApiParam("产品条码")
    private String productSn;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("停机开始时间")
    private String stopStartTime;

    @ApiParam("停机结束时间")
    private String stopEndTime;

    @ApiParam("停机原因")
    private String stopReason;
}
