package cn.estsh.i3plus.pojo.mes.model;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : Pojo模型
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2020-04-28
 * @Modify:
 **/
@Data
public class PojoModel implements Serializable {
    private static final long serialVersionUID = -3617516560880011259L;
    @ApiParam(value ="包名")
    private String packageName;

    @ApiParam(value ="POJO类名")
    private String simpleName;

    @ApiParam(value ="POJO类全名")
    private String fullName;

    @ApiParam(value ="表名称名")
    private String tableName;

    @ApiParam(value ="POJO类描述")
    private String pojoDesc;

    @ApiParam(value ="属性集合")
    private List<PojoFieldModel> fieldList;
}
