package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description: 生产计划批量编制明细model
 * @Author: wangjie
 * @Date: 2020/4/21 6:55 下午
 * @Modify:
 */
@Data
public class ProdPlanBatchCompileDetailModel {

    @ApiParam("日期")
    private String date;

    @ApiParam("日期对应到数量")
    private Double qty;

    @ApiParam("是否只读")
    private Boolean readonly;

    @ApiParam("完成数量")
    private Double completeQty;

    @ApiParam("完成数量的颜色")
    private String color;

    @ApiParam("工单号")
    private String orderNo;

}
