package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description: 生产计划批量编制model
 * @Author: wangjie
 * @Date: 2020/4/21 6:55 下午
 * @Modify:
 */
@Data
public class ProdPlanBatchCompileModel {

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("预留字段1")
    private String reserved1;

    @ApiParam("预留字段2")
    private String reserved2;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam(value = "班组名称")
    public String shiftGroupName;

    @ApiParam(value = "班次名称")
    public String shiftName;

    @ApiParam("班组")
    private String shiftGroup;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("客户订单号")
    private String custOrderNo;

    @ApiParam("预留字段3")
    private String reserved3;

    @ApiParam("预留字段4")
    private String reserved4;

    @ApiParam("单位")
    private String unit;

    @ApiParam("日期数量集合")
    private List<ProdPlanBatchCompileDetailModel> detailList;

    @ApiParam("合计")
    private Double amount;

    @ApiParam("完成合计")
    private Double completeAmount;

    @ApiParam("计划类型")
    private Integer planType;

    @ApiParam("计划类型名称")
    private String planTypeName;

    @ApiParam("数量1")
    private String qty1;

    @ApiParam("完成数量1")
    private String completeQty1;

    @ApiParam("数量2")
    private String qty2;

    @ApiParam("完成数量2")
    private String completeQty2;

    @ApiParam("数量3")
    private String qty3;

    @ApiParam("完成数量3")
    private String completeQty3;

    @ApiParam("数量4")
    private String qty4;

    @ApiParam("完成数量4")
    private String completeQty4;

    @ApiParam("数量5")
    private String qty5;

    @ApiParam("完成数量5")
    private String completeQty5;

    @ApiParam("数量6")
    private String qty6;

    @ApiParam("完成数量6")
    private String completeQty6;

    @ApiParam("数量7")
    private String qty7;

    @ApiParam("完成数量7")
    private String completeQty7;

    @ApiParam("合计")
    private String amountStr;

    @ApiParam("完成合计")
    private String completeAmountStr;

}
