package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;


/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\11\29 11:34
 * @Modify:
 **/
@Data
public class QcCheckDataModel {

    private Long id;
    public String organizeCode;
    public String createUser;
    public String createDatetime;

    @ApiParam("检测id")
    private String checkId;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("检测类型")
    private Integer checkType;

    @ApiParam("检测项")
    private String checkItem;

    @ApiParam("检测标准")
    private String checkStandard;

    @ApiParam("检测指导")
    private String checkGuide;

    @ApiParam("频率")
    private String checkFrequency;

    @ApiParam("检测值")
    private String checkValue;

    @ApiParam("判定结果")
    private String checkResult;

    @ApiParam("产品条码")
    private String sn;

    @ApiParam("产品数量")
    private Integer qty;

    @ApiParam("备注")
    private String memo;

    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("班组")
    private String shiftGroupName;

    @ApiParam("班长")
    private String squadLeader;

    @ApiParam("工作单元名称")
    private String workCellName;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam(value = "修改人")
    private String modifyUser;

    @ApiParam(value = "修改日期")
    private String modifyDatetime;

    @ApiParam(value = "工单开始时间")
    private String startTime;

    @ApiParam(value = "工单结束时间")
    private String endTime;

    @ApiParam(value = "检测时间")
    private String checkTime;

    public QcCheckDataModel() {

    }

    public QcCheckDataModel(Long id, String organizeCode, String createUser, String createDatetime, String checkId, String partNo, String workCenterCode, String workCellCode, Integer checkType, String checkItem, String checkStandard, String checkGuide, String checkFrequency, String checkValue, String checkResult, String sn, Integer qty, String memo, String orderNo, String custCode, String shiftCode, String shiftGroupName, String squadLeader, String workCellName, String partName, String modifyUser, String modifyDatetime) {
        this.id = id;
        this.organizeCode = organizeCode;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.checkId = checkId;
        this.partNo = partNo;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.checkType = checkType;
        this.checkItem = checkItem;
        this.checkStandard = checkStandard;
        this.checkGuide = checkGuide;
        this.checkFrequency = checkFrequency;
        this.checkValue = checkValue;
        this.checkResult = checkResult;
        this.sn = sn;
        this.qty = qty;
        this.memo = memo;
        this.orderNo = orderNo;
        this.custCode = custCode;
        this.shiftCode = shiftCode;
        this.shiftGroupName = shiftGroupName;
        this.squadLeader = squadLeader;
        this.workCellName = workCellName;
        this.partName = partName;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
    }

    public QcCheckDataModel(Long id, String organizeCode, String createUser, String createDatetime, String partNo, String workCenterCode
            , String workCellCode, String partName, String modifyUser, String modifyDatetime, String startTime, String endTime, String orderNo) {
        this.id = id;
        this.organizeCode = organizeCode;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.partNo = partNo;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.partName = partName;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.startTime = startTime;
        this.endTime = endTime;
        this.orderNo = orderNo;
    }

    public QcCheckDataModel(Long id, String organizeCode, String createUser, String createDatetime, Integer checkType) {
        this.id = id;
        this.organizeCode = organizeCode;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.checkType = checkType;
    }

    public QcCheckDataModel(Long id, String organizeCode, String createUser, String createDatetime, Integer checkType, String checkItem, String checkStandard, String checkGuide
            , String checkFrequency, String checkValue, String checkResult, String sn) {
        this.id = id;
        this.organizeCode = organizeCode;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.checkType = checkType;
        this.checkItem = checkItem;
        this.checkStandard = checkStandard;
        this.checkGuide = checkGuide;
        this.checkFrequency = checkFrequency;
        this.checkValue = checkValue;
        this.checkResult = checkResult;
        this.sn = sn;
    }
}
