package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesQcCheckData;
import cn.estsh.i3plus.pojo.mes.bean.MesQcOrder;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2020/4/9 18:00
 * @desc
 */
@Data
public class QcCheckDataResultModel {

    @ApiParam("是否完成首检")
    private Integer isFirstCheck;

    @ApiParam("首检结果")
    private List<MesQcOrder> firstCheckResult;

    @ApiParam("是否完成巡检")
    private Integer isOnSiteCheck;

    @ApiParam("巡检结果")
    private List<MesQcOrder> onSiteCheckResult;

    @ApiParam("是否完成尾检")
    private Integer isEndCheck;

    @ApiParam("尾检结果")
    private List<MesQcOrder> endCheckResult;

    public QcCheckDataResultModel() {
    }

    public QcCheckDataResultModel(Integer isFirstCheck, Integer isOnSiteCheck, Integer isEndCheck) {
        this.isFirstCheck = isFirstCheck;
        this.isOnSiteCheck = isOnSiteCheck;
        this.isEndCheck = isEndCheck;
    }
}
