package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class RefreshInitModuleModel<T> implements Serializable {

    @ApiParam("工作中心")
    private String workCenterCode;

    @ApiParam("工作单元")
    private String workCellCode;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("用户信息")
    private String userInfo;

    @ApiParam("队列展示类型（有序/无序）")
    private Object resultObj;

    @ApiParam("展示组件定时刷新频率")
    private Integer timer;

    @ApiParam("List字段集")
    private List<AttrBean> DataAttrList;

    @ApiParam("List结果集")
    private List<T> resultList;
}
