package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class RepairAndDefectModel implements Serializable {

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("缺陷代码")
    private String defectCode;

    @ApiParam("缺陷名称")
    private String defectName;

    @ApiParam("缺陷位置")
    private String defectLocation;

    @ApiParam("面位")
    private String sideLocation;

    @ApiParam("维修状态")
    private Integer repairStatus;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("维修代码")
    private String repairCode;

    @ApiParam("维修名称")
    private String repairName;

    @ApiParam("缺陷原因代码")
    private String dcCode;

    @ApiParam("缺陷原因描述")
    private String dcName;

}
