package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description: 打印信息汇总
 * @Reference:
 * @Author: wangjie
 * @CreateDate:2019-08-27-13:24
 * @Modify:
 **/
@Data
@Api("打印信息汇总")
public class SnPrintModel extends StepPrintSnModel {

    @ApiParam("过程条码")
    private SnPrintDataModel serialPrintDataModel;

    @ApiParam("产品条码")
    private SnPrintDataModel prodPrintDataModel;

    @ApiParam("包装条码")
    private SnPrintDataModel packPrintDataModel;

}
