package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/11/12 3:50 下午
 * @Description: 下拉工步参数对象
 **/
@Data
@Api("下拉工步参数对象")
public class StepParamsModel implements Serializable {

    private static final long serialVersionUID = -4418226170535844209L;
    @ApiParam("参数代码")
    private String paramCode;

    @ApiParam("参数代码")
    private Map<String, Object> paramValues;


}
