package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: adair.song
 * @CreateDate: 2020/07/25 14:21
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("工位队列信息model")
public class WorkCellPointInfoModel {

    @ApiParam("工作中心")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("工作单元名称")
    private String workCellName;

    @ApiParam("Vin")
    private String vinCode;

    @ApiParam("组织代码")
    private String organizeCode;
}
