package cn.estsh.i3plus.pojo.mes.model.excel.mgnbj;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Wynne.Lu
 * @date 2020/10/10 13:15
 * @desc
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Api("备件计划导入model")
public class SparePartsImportModel {

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("用户名")
    private String userName;

    @ApiParam("vin")
    private String vinCode;

    @ApiParam("项目代码")
    private String prodCfgTypeCode;

    @ApiParam("客户工厂代码")
    private String custPlantCode;

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("客户产线代码")
    private String custProdLineCode;

    @ApiParam("JIT顺序号")
    private String jitSeq;

    @ApiParam("供应商代码")
    private String supplierCode;

    @ApiParam("客户零件号")
    private String custPartNo;

    @ApiParam("替换VIN")
    private String relationVinCode;

    @ApiParam("用量")
    private Integer qty;

}
