package cn.estsh.i3plus.pojo.mes.model.mgn.bj.edi;

import cn.estsh.i3plus.pojo.mes.model.mgn.bj.edi.Pn;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2020/6/23 12:33
 * @desc
 */
@Data
@XStreamAlias("message")
public class Message implements Serializable {
    private static final long serialVersionUID = 8628748312808962449L;

    @XStreamImplicit
    private List<Pn> pns;

    @XStreamAlias("customerno")
    private String customerNo;

    @XStreamAlias("customername")
    private String customerName;

    @XStreamAlias("plantcode")
    private String plantCode;

    @XStreamAlias("plantname")
    private String plantName;

    @XStreamAlias("suppliernumber")
    private String supplierNumber;

    @XStreamAlias("suppliername")
    private String supplierName;

    @XStreamAlias("status")
    private String status;

    @XStreamAlias("sequenceno")
    private String sequenceNo;

    @XStreamAlias("vin")
    private String vin;

    @XStreamAlias("date")
    private String date;


}
