package cn.estsh.i3plus.pojo.mes.model.mgn.bj.edi;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2020/6/23 12:33
 * @desc
 */
@Data
@XStreamAlias("PN")
public class Pn implements Serializable {
    private static final long serialVersionUID = 194164925380216505L;

    @XStreamAlias("vin")
    private String vin;

    @XStreamAlias("seqno")
    private String seqno;

    @XStreamAlias("date")
    private String date;

    @XStreamAlias("vehicleCode")
    private String vehicleCode;

    @XStreamAlias("version")
    private String version;

    @XStreamAlias("parts")
    private List<Part> parts;

    @XStreamAlias("optioncode")
    private List<CodeRule> codeRules;

    @ApiParam("新vin号")
    private String newVin;

    @ApiParam("新vin号")
    private Boolean result;


}
