package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 产品履历报表-缺陷信息
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/18 15:16
 **/
@Data
@ApiModel("产品履历报表-缺陷信息")
public class DefectRecordModel implements Serializable {

    private static final long serialVersionUID = 4994719388513997046L;


    @ApiParam("不良处理类型")
    private Integer defectActionType;

    @ApiParam("不良处理类型名称")
    private String defectActionTypeName;

    @ApiParam("缺陷名称")
    private String defectName;

    @ApiParam("缺陷位置")
    private String defectLocation;

    @ApiParam("缺陷位置名称")
    private String defectLocationName;

    @ApiParam(value = "创建用户")
    public String createUser;

    @ApiParam(value = "创建日期")
    public String createDatetime;

}
