package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2020/12/28 14:24 下午
 * @Description: 一次性通过率占比柏拉图报表model
 **/
@Api("一次性通过率占比柏拉图报表model")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProduceDispPassPlatoModel {

    @ApiParam("项目号")
    private List<String> prodCfgTypeCodeList;

    @ApiParam("零件号")
    private List<String> partNoList;

    @ApiParam("单项占比")
    private BigDecimal singleRatio;

    @ApiParam("累计占比")
    private BigDecimal cumulativeRatio;

    @ApiParam("缺陷数量")
    private BigDecimal defectQty;

}
