package cn.estsh.i3plus.pojo.model.common;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-4-22 下午7:46
 * @Modify:
 **/
@Data
public class ImppMessage implements Serializable {

    private static final long serialVersionUID = 6840525365653629445L;
    @ApiParam(value ="产品")
    private Integer softType;

    @ApiParam(value ="消息组")
    private Integer messageGroup;

    @ApiParam(value ="消息内容")
    private String messageParam;

    public String getSoftTypeTxt() {
        return softType == null ? null : CommonEnumUtil.SOFT_TYPE.valueOfDescription(softType);
    }

    public CommonEnumUtil.SOFT_TYPE getSoftTypeEnum() {
        return softType == null ? null : CommonEnumUtil.SOFT_TYPE.valueOf(softType);
    }


}
