package cn.estsh.i3plus.pojo.model.common;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * @Description : Impp短信内容
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-12-24 20:31
 * @Modify:
 **/
@Data
@ApiModel("Impp短信内容")
public class ImppSmsContent implements Serializable {

    private static final long serialVersionUID = 3329812596753451793L;

    @ApiModelProperty(value = "软件模块")
    private Integer softType;

    @ApiModelProperty(value = "接收手机号")
    private String receivePhoneNumber;

    @ApiModelProperty(value = "短信签名代码")
    private String smsSignCode;

    @ApiModelProperty(value = "模板代码")
    private String templateCode;

    @ApiModelProperty(value = "短信参数")
    private Map<String, Object> paramMap;

}
