package cn.estsh.i3plus.pojo.model.dynamic.table;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2018-12-11 15:37
 * @Modify: 动态 Table 单元格
 **/
@Data
public class DynTableCell implements Serializable {

    private static final long serialVersionUID = 3798664031371975269L;
    // 单元格名称
    private String cellKey;
    // 排序
    private Integer cellSeq;
    // 单元格名称
    private String cellName;
    // 单元格名称英文
    private String cellNameEn;
    // 单元格数据
    private Object cellValue;
    // 单元格数据
    private Integer cellValueType;

}
