package cn.estsh.i3plus.pojo.model.form;

import cn.estsh.i3plus.pojo.form.bean.BfButton;
import cn.estsh.i3plus.pojo.form.bean.BfElement;
import cn.estsh.i3plus.pojo.form.bean.BfRefButtonMethod;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description : 按钮操作数据模型
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-04-13 19:45
 * @Modify:
 **/
@Data
@ApiModel("按钮操作数据模型")
public class BfButtonOperateDataModel implements Serializable {

    private static final long serialVersionUID = 5592739471208814372L;
    @ApiModelProperty("按钮id")
    private Long buttonId;

    @ApiModelProperty("元素id")
    private Long elementId;

    @ApiModelProperty("操作数据")
    private List<Map<String, Object>> operateData;

    @ApiModelProperty("按钮功能关系信息")
    private BfRefButtonMethod bfRefButtonMethod;

    @ApiModelProperty("元素信息")
    private BfElement bfElement;

    @ApiModelProperty("按钮信息")
    private BfButton bfButton;
}
