package cn.estsh.i3plus.pojo.model.form;

import cn.estsh.i3plus.pojo.base.dynamic.DynamicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-11-17 16:32
 * @Modify:
 **/
@Data
@ApiModel("检查唯一返回结果model")
public class BfCheckOnlyResultModel {

    @ApiModelProperty("是否唯一")
    private boolean isOnly;

    @ApiModelProperty("重复的数据")
    private DynamicEntity repeatData;

    @ApiModelProperty("异常信息")
    private Exception exception;

    public BfCheckOnlyResultModel() {
        this.isOnly = true;
    }
}
