package cn.estsh.i3plus.pojo.model.mes;

import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description : Mes电检检测实体字段Model信息
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-06-01 09:53
 * @Modify:
 **/
@Data
@NoArgsConstructor
public class MesElectricDataModel implements Serializable {

    private static final long serialVersionUID = -6376845639646546495L;

    @ApiParam(value = "车型")
    public String carType;

    @ApiParam(value = "颜色代码")
    public String colorCode;

    @ApiParam(value = "日期时间")
    private String dateTime;

    @ApiParam(value = "生产序号")
    private String productSeq;

    @ApiParam(value = "车型信息")
    private String carTypeInfo;

    @ApiParam(value = "生产模式")
    private String productModel;

    @ApiParam(value = "产品生产号")
    private String productNumber;

    @ApiParam(value = "备用")
    private String spare;

    @ApiParam(value = "所有零件信息包括所有选配信息")
    private String other;

    @ApiParam(value = "电检结果")
    private String electricResult;

    @ApiParam(value = "文件名称")
    private String ftpFileName;

    @ApiParam(value = "FTP文件")
    private Object ftpFile;

    @ApiParam(value = "过程条码")
    private String serialNumber;
}