package cn.estsh.i3plus.pojo.model.softswitch;

import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.softswitch.bean.BsSuitFile;
import cn.estsh.i3plus.pojo.softswitch.bean.BsSuitRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-09-28 17:48
 * @Modify:
 **/
@Data
@ApiModel("适配记录模型")
public class SuitRecordModel {

    @ApiModelProperty("主记录")
    private BsSuitRecord bsSuitRecord;

    @ApiModelProperty("适配文件")
    private BsSuitFile bsSuitFile;

    @ApiModelProperty("分页信息")
    private Pager pager;

    public SuitRecordModel() {
    }

    public SuitRecordModel(BsSuitRecord bsSuitRecord, BsSuitFile bsSuitFile) {
        this.bsSuitRecord = bsSuitRecord;
        this.bsSuitFile = bsSuitFile;
    }
}
