package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 北京麦格纳BBAC库存扣减MODEL
 * @Reference
 * @Author dragon
 * @CreateDate 2020/11/22 14:46
 * @Modify
 */
@Data
@Api("北京麦格纳BBAC库存扣减MODEL")
public class WmsBjmgnBbacReductModel implements Serializable {
    @ApiParam("JIS号")
    public String jisNo;
    @ApiParam("物料号")
    public String partNo;
    @ApiParam("项目编码")
    public String projectNo;
    @ApiParam("客户编码")
    public String custNo;
    @ApiParam("存储区")
    public String zoneNo;
    @ApiParam("ERP库存地")
    public String erpAreaNo;
    @ApiParam("项目名称")
    public String projectName;
    @ApiParam("数量")
    public Double qty;
    @ApiParam("单位")
    public String unit;

    public WmsBjmgnBbacReductModel() {
    }

    public WmsBjmgnBbacReductModel(String custNo,String zoneNo,String jisNo, String partNo, String projectNo,
                                   Double qty, String unit) {
        this.custNo = custNo;
        this.zoneNo = zoneNo;
        this.jisNo = jisNo;
        this.partNo = partNo;
        this.projectNo = projectNo;
        this.qty = qty;
        this.unit = unit;
    }
}
