package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
@Data
public class WmsCSOrderDetailsModel implements Serializable {

    private static final long serialVersionUID = 1035157716685531017L;
    @ApiParam("工厂代码")
    public String  organizeCode;

    @ApiParam("库位编码")
    public String  locateNo;

    @ApiParam("订单编号")
    public String  orderNo;

    @ApiParam("物料代码")
    public String  partNo;

    @ApiParam("物料名称")
    public String  partNameRdd;

    @ApiParam("冻结数量")
    public String  qty;

    @ApiParam("实盘数量")
    public String  factQty;

    @ApiParam("条码编号")
    public String  sn;

    @ApiParam("仓库编码")
    public String  whNo;

    @ApiParam("源仓库编码")
    public String  srcWhNo;

    @ApiParam("区域编码")
    public String  zoneNo;

    @ApiParam("源存储区编码")
    public String  srcZoneNo;

    @ApiParam("状态")
    public String  wmStatus;

    @ApiParam("目标库位")
    public String  destLocateNo;

    @ApiParam("应盘人")
    public String detailsCreateUser;

    @ApiParam("应盘时间")
    public String detailsCreateDatetime;

    @ApiParam("实盘人")
    public String factCreateUser;

    @ApiParam("实盘时间")
    public String factCreateDatetime;



}
