package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.WmsCSAdjustRange;
import cn.estsh.i3plus.pojo.wms.bean.WmsCSOrderMaster;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 盘点批量操作
 * @author qianhs
 */
@Data
public class WmsCSOrderMasterModel implements Serializable {

    private static final long serialVersionUID = -5490167040159056107L;

    @ApiParam("盘点订单主表")
    public List<WmsCSOrderMaster> wmsCSOrderMasterList;

    @ApiParam("盘点调差表")
    public List<WmsCSAdjustRange>  wmsCSAdjustRangeList;

    @ApiParam("工厂代码")
    public String  organizeCode;

    @ApiParam("确认框")
    public  Boolean confirm;
}
