package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.WmsHealthIndicator;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : Wms健康指标模型
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-05-14 09:53
 * @Modify:
 **/
@Data
@NoArgsConstructor
public class WmsHealthIndicatorModel implements Serializable {

    private static final long serialVersionUID = -6376849949646448495L;

    @ApiParam(value = "模块名称")
    public String groupName;

    @ApiParam(value = "指标代码")
    public String indicatorCode;

    @ApiParam(value = "指标名称")
    public String indicatorName;

    @ApiParam(value = "开始时间")
    public String startDateTime;

    @ApiParam(value = "结束时间")
    public String endDateTime;

    @ApiParam(value = "健康指标集合")
    public List<WmsHealthIndicator> healthIndicatorList;
}
