package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description : Wms健康变量参数
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-05-14 09:53
 * @Modify:
 **/
@Data
@NoArgsConstructor
public class WmsHealthVariableParamsModel implements Serializable {

    private static final long serialVersionUID = -6376849939646448495L;

    @ApiParam(value = "开始时间")
    public String startDateTime;

    @ApiParam(value = "结束时间")
    public String endDateTime;

    @ApiParam(value = "适应存储区")
    private String applyArea;

    @ApiParam(value = "适应物料组")
    private String applyPartGroup;

    @ApiParam(value = "变量参数")
    private String variableParam;

    @ApiParam(value = "工厂代码")
    private String organizeCode;
}
