package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.WmsMoveMaster;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 库存移动单模型
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2019-03-06 15:50
 * @Modify:
 **/
@Data
public class WmsMoveMasterModel implements Serializable {
    private static final long serialVersionUID = -5490167040159056107L;
    private WmsMoveMaster moveMaster;
    private List<WmsMoveDetailsModel> moveDetails;

    public WmsMoveMasterModel(WmsMoveMaster moveMaster, List<WmsMoveDetailsModel> moveDetails) {
        this.moveMaster = moveMaster;
        this.moveDetails = moveDetails;
    }

    public WmsMoveMasterModel() {
    }
}
