package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_TIME")
@Api("工步参数")
public class PtlTime extends BaseBean implements Serializable {

    private static final long serialVersionUID = 6674121566943415827L;
    @Column(name = "MODULE")
    @ApiParam("组件")
    private String module;

    @Column(name = "ELAPSE")
    @ApiParam("耗时")
    private Long elapse;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工位")
    private String workCellCode;


}
