package cn.estsh.i3plus.pojo.ptl.model;

import cn.estsh.i3plus.pojo.ptl.bean.PtlAreaRouteModuleParam;
import cn.estsh.i3plus.pojo.ptl.bean.PtlRouteModuleParam;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 流程明细Model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2020-04-10 13:27
 * @Modify:
 **/
@Data
@Api("流程明细Model")
public class ActionModuleGroupModel implements Serializable {

    private static final long serialVersionUID = 3963042613552364928L;

    @ApiParam("组件代码")
    private String amCode;

    @ApiParam("执行顺序")
    private Integer seq;

    @ApiParam("流程组件参数集合")
    private List<PtlRouteModuleParam> routeModuleParamList;

    @ApiParam("区域流程组件参数集合")
    private List<PtlAreaRouteModuleParam> areaRouteModuleParamList;
}
