package cn.estsh.i3plus.pojo.ptl.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 作业流程Model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2020-04-10 13:27
 * @Modify:
 **/
@Data
@Api("作业流程Model")
public class BussinessProcessModel implements Serializable {

    private static final long serialVersionUID = 1987194216369839465L;

    @ApiParam("流程代码")
    private String routeCode;

    @ApiParam("GOJS位置")
    private String position;

    @ApiParam("流程明细Model集合")
    private List<ProcessDetailModel> processDetailModelList;

    @ApiParam("区域代码")
    private String areaNo;

}
