package cn.estsh.i3plus.pojo.ptl.model;

import cn.estsh.i3plus.pojo.ptl.bean.PtlControl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 亮灯监听Model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2020-03-02 13:27
 * @Modify:
 **/
@Data
@Api("亮灯监听Model")
public class PtlMonitorControlModel implements Serializable {

    private static final long serialVersionUID = 7446249296664249977L;

    @ApiParam("刷新频率")
    public String refreshTime;

    @ApiParam("PCN代码")
    public String pcnCode;

    @ApiParam("区域代码")
    public String areaNo;

    @ApiParam("区域名称")
    public String areaName;

    @ApiParam("控制器集合")
    public List<PtlControl> ptlControlList;
}
