package cn.estsh.i3plus.pojo.report.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-5-28 下午3:33
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="BR_CSS_STYLE")
@Api(value="自定义样式")
public class BrCssStyle extends BaseBean {

    private static final long serialVersionUID = 8651392479116992679L;

    @Column(name="STYLE_CODE")
    @ApiParam(value ="样式编码")
    private String styleCode;

    @Lob
    @Column(name="STYLE_CONTENT")
    @ApiParam(value ="样式内容")
    private String styleContent;

    @Column(name="STYLE_DESCRIPTION")
    @ApiParam(value ="样式描述")
    private String styleDescription;

}
