package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : socket套件
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SOCKET_SUIT_CASE")
@Api(value = "socket套件", description = "socket套件")
public class BsSocketSuitCase extends BaseBean {

    private static final long serialVersionUID = -1491505137380808987L;
    @Column(name = "SOCKET_TYPE_ID")
    @ApiParam(value = "socket类型（枚举）")
    private Integer socketTypeId;

}

