package cn.estsh.i3plus.pojo.wms.bean;

import lombok.Data;

/**
 * @Description : 调用流程处理组件时的返回对象
 * @Reference :
 * @Author : rock.yu
 * @CreateDate : 2020-08-03 20:54
 * @Modify:
 **/
@Data
public class WmsActionCallResult {
    private Object resultObj;
    /**
     * 执行耗时，单位 ms
     */
    private Integer duration;

    public WmsActionCallResult(Object resultObj, Integer duration) {
        this.resultObj = resultObj;
        this.duration = duration;
    }
}
