package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

@Data
public class WmsCarDto extends BaseDto implements Serializable {

    private static final long serialVersionUID = 1477585131669086208L;
    @Column(name="CAR_NO")
    @ApiParam(value ="车牌号")
    private String carNo;


    @Column(name="DRIVER_NO")
    @ApiParam(value ="默认驾驶员")
    private String driverNo;


    @Column(name="VENDOR_NO")
    @ApiParam(value ="所属供应商")
    private String vendorNo;
    @ApiParam("是否删除，默认否")

    protected Integer isDeleted = 2;

    @ApiParam("是否有效，默认是")
    protected Integer isValid = 1;

    protected String organizeCode;


}
