package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author :QianHuaSheng
 * @CreateDate : 2020-07-09 9:50 上午
 * @Modify:
 **/
@Data
@Api("静态盘点查询输出实体类")
public class WmsReceiptKanbanDto {

    @ApiParam(value = "供应商编号")
    private String vendorNo;

    @ApiParam(value = "频次")
    private String frequency;

    @ApiParam(value = "供应商名称")
    private String verdorName;

    @ApiParam(value = "订单号")
    private String orderNo;


    @ApiParam(value = "道口")
    private String dock;

    @ApiParam(value = "项目")
    private String prodCfgTypeCode;

    @ApiParam(value = "窗口时间")
    private String planDate;

    @ApiParam(value = "开始收货时间")
    private String earliestReceTime;

    @ApiParam(value = "结束收货时间")
    private String latestReceTime;

    @ApiParam(value = "收货状态")
    private String receStatus;

    @ApiParam(value = "质检状态")
    private String qcStatus;

    @ApiParam(value = "工厂代码")
    private String organizeCode;
}
