package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :供应商延期输出实体类(出参)
 * @Reference :
 * @Author :QianHuaSheng
 * @CreateDate : 2020-04-10 3:21 下午
 * @Modify:
 **/
@Data
@Api("供应商延期输出实体类")
public class WmsSupplierExtensionDto {

    @ApiParam(value = "序号")
    private Integer rn;

    @ApiParam(value = "供应商编号")
    private String vendorNo;

    @ApiParam(value = "供应商编号")
    private String vendorName;

    @ApiParam(value = "数量")
    private Integer num;

    public WmsSupplierExtensionDto() {

    }

    public WmsSupplierExtensionDto(String vendorNo, Integer num, String vendorName) {
        this.vendorNo = vendorNo;
        this.num = num;
        this.vendorName = vendorName;
    }
}
