package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @Description :驾驶员入参
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2019-12-07 16:06
 * @Modify:
 **/
@Data
public class WmsTmsDriverDto extends BaseDto implements Serializable {

    private static final long serialVersionUID = 1686388995931944419L;
    @Column(name="DRIVER_NO")
    @ApiParam(value ="驾驶员编号")
    private String driverNo;

    @Column(name="DRIVER_NAME")
    @ApiParam(value ="驾驶员姓名")
    private String driverName;

    @Column(name="LOGIN_NO")
    @ApiParam(value =" 登录账号")
    private String loginNo;

    @ApiParam("是否删除，默认否")
    protected Integer isDeleted = 2;

    @ApiParam("是否有效，默认是")
    protected Integer isValid = 1;

    protected String organizeCode;
}
