package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @description 道口看板数据模型
 * @author jason.niu
 * @date 2020/03/31
 */
@Data
@Api("道口看板数据模型")
public class DockDashboardModel {
    @ApiParam("预约时间")
    private String orderDate;

    @ApiParam("预约状态")
    private Integer appointmentStatus;

    @ApiParam("供应商编码")
    private String supplierCode;

    @ApiParam("单号")
    private String orderNo;

    @ApiParam("车牌号")
    private String carNo;

    @ApiParam("驾驶员")
    private String driverName;
}
