package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
public class PushMessageModel {


    @ApiParam("标题")
    public String title;

    @ApiParam("内容")
    public String content;

    //推送类型-枚举 ：WmsEnumUtil.PUSH_TYPE
    @ApiParam("推送类型")
    public String pushType;

    //推送地址，邮箱以逗号分割
    @ApiParam("推送地址")
    public String pathUrl;


    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("附件的文件路径")
    private String attachFilePath;
}
