package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @description 外部拉动数据结构
 * @author jason.niu
 * @date 2020/03/25
 */
@Data
@Api("外部拉动单模型")
public class WmsPullOrderModel {

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("产线")
    private String lineNo;

    @ApiParam("仓库代码")
    public String WhNo;

    @ApiParam("存储区代码")
    public String ZoneNo;

    @ApiParam("目标库位代码")
    public String destLocateNo;

    @ApiParam("库位")
    private String locateNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    public String partName;

    @ApiParam("源仓库代码")
    public String srcWhNo;

    @ApiParam("源存储区代码")
    public String srcZoneNo;

    @ApiParam("数量")
    private Double qty;

    @ApiParam("单位")
    public String unit;

    @ApiParam("批次")
    public String lotNo;
}
