package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;

/**
 * @Description :装车单打印输出model
 * @Reference :
 * @Author :QianHuaSheng
 * @CreateDate : 2020-04-10 3:21 下午
 * @Modify:
 **/
@Data
@Api("静态盘点查询输出model")
public class WmsTmsShippingExtDeatilModel {

	@ApiParam(value ="零件号")
	private String partNo;

	@Column(name="PART_NAME_RDD")
	@ApiParam(value ="零件名称")
	private String partNameRdd;

	@ApiParam("需求数量")
	private Double qty;

	@ApiParam("发运数量")
	private Double shippQty;

	@ApiParam("箱数")
	private Integer boxQty;

	@ApiParam("标准包装")
	private Double snp;

	@ApiParam("收货数量")
	private String receivedQuantity="";
}
